commit bf353ee7fad4629b56ec536f3279f12ad3b65ba9
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sun Jan 18 01:19:33 2026

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 689ea41f60b..7e47227f7c2 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2026-01-17  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2026-01-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/123513
+	* tree.cc (valid_new_delete_pair_p): If new_name[3] or delete_name[3]
+	is 'I', return false with *pcertain set to false rather than true.
+
 2026-01-16  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 058cb2950ff..02511a8e36b 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20260117
+20260118
diff --git a/gcc/ada/ChangeLog b/gcc/ada/ChangeLog
index 27274c86e57..d293a4ba13e 100644
--- a/gcc/ada/ChangeLog
+++ b/gcc/ada/ChangeLog
@@ -1,3 +1,20 @@
+2026-01-17  Eric Botcazou  <ebotcazou@adacore.com>
+	    Lisa Felidae  <lisa@felidae.bam.moe>
+
+	PR ada/68179
+	PR ada/123589
+	* exp_ch3.adb (Expand_Freeze_Array_Type): Build an initialization
+	procedure for a bit-packed array type if Has_Default_Aspect is set
+	on the base type, but make sure not to build it twice.  Also test
+	Has_Default_Aspect for a type derived from String.
+
+2026-01-17  Eric Botcazou  <ebotcazou@adacore.com>
+
+	PR ada/68179
+	* exp_ch3.adb (Expand_Freeze_Array_Type): Build an initialization
+	procedure for a type derived from String declared with the aspect
+	Default_Aspect_Component_Value.
+
 2026-01-03  Eric Botcazou  <ebotcazou@gcc.gnu.org>
 
 	PR ada/123371
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 5964af92539..69ef37d22e7 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,20 @@
+2026-01-17  Eric Botcazou  <ebotcazou@adacore.com>
+	    Lisa Felidae  <lisa@felidae.bam.moe>
+
+	* gnat.dg/component_value2.adb: New test.
+
+2026-01-17  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gnat.dg/component_value1.adb: New test.
+
+2026-01-17  Jakub Jelinek  <jakub@redhat.com>
+
+	Backported from master:
+	2026-01-17  Jakub Jelinek  <jakub@redhat.com>
+
+	PR tree-optimization/123513
+	* g++.dg/warn/Wmismatched-new-delete-10.C: New test.
+
 2026-01-16  Jakub Jelinek  <jakub@redhat.com>
 
 	Backported from master:

